SuperLU 6.0.0

Functions
ilu_dcopy_to_ucol.c File Reference

Copy a computed column of U to the compressed data structure and drop some small entries. More...

`#include "slu_ddefs.h"`
Include dependency graph for ilu_dcopy_to_ucol.c:

## Functions
void | dcopy_ (int *, double[], int *, double[], int *)
int | ilu_dcopy_to_ucol (int jcol, int nseg, int *segrep, int *repfnz, int *perm_r, double *dense, int drop_rule, milu_t milu, double drop_tol, int quota, double *sum, int *nnzUj, GlobalLU_t *Glu, double *work)

## Detailed Description

Copyright (c) 2003, The Regents of the University of California, through Lawrence Berkeley National Laboratory (subject to receipt of any required approvals from U.S. Dept. of Energy)

All rights reserved.

The source code is distributed under BSD license, see the file License.txt at the top-level directory.

    -- SuperLU routine (version 4.1) --
    Lawrence Berkeley National Laboratory
    November, 2010

## Function Documentation

## ◆ dcopy_()

void dcopy_ | ( | int * | ,
|  | double | [],
|  | int * | ,
|  | double | [],
|  | int * |
| ) |  |

## ◆ ilu_dcopy_to_ucol()

int ilu_dcopy_to_ucol | ( | int | jcol,
|  | int | nseg,
|  | int * | segrep,
|  | int * | repfnz,
|  | int * | perm_r,
|  | double * | dense,
|  | int | drop_rule,
|  | milu_t | milu,
|  | double | drop_tol,
|  | int | quota,
|  | double * | sum,
|  | int * | nnzUj,
|  | GlobalLU_t * | Glu,
|  | double * | work
| ) |  |

Here is the call graph for this function: